Subject: Re: 23.1.50; menu-updating-frame stays set to dead frame

From: Rob Giardina <[email-masked]>
Date: Sat, 7 Nov 2009 13:28:12 -0500

Sorry, not reproducible so far but I've seen it on many files. rg-mac.el is
my file of Mac OSX specific customizations.

You can see from the code I cited however that if that var is ever set to a
dead-frame, you'll have the problem.

If I run into a reproducible case, I'll certainly send it on.

Thanks for looking into it.

-Rob

On Sat, Nov 7, 2009 at 1:24 PM, Chong Yidong <[email-masked]> wrote:

> > 1) created second frame
> > 2) killed second frame after some random editing
> > 3) in first frame, on attempt to kill buffer saw:
> >
> > menu-bar-non-minibuffer-window-p: Wrong type argument: frame-live-p,
> #<dead
> > frame [Gnu/Linux:robcvm] /home/rgiardina/emacs/rg-mac.el 0xaedc088>
>
> What is this rg-mac.el file supposed to be doing?  It's a little hard to
> debug your custom code if we don't know how it's triggered.  Please
> provide a self-contained recipe for reproducing this bug.  Thanks.
>
>